QTab(3qt)

NAME
QTab - The structures in a QTabBar

SYNOPSIS
#include <ntqtabbar.h>

Inherits Qt.

  Public Members
QTab ()
virtual ~QTab ()
QTab ( const TQString & text )
QTab ( const QIconSet & icon, const TQString & text = TQString::null )
void setText ( const TQString & text )
TQString text () const
void setIconSet ( const QIconSet & icon )
QIconSet * iconSet () const
void setRect ( const QRect & rect )
QRect rect () const
void setEnabled ( bool enable )
bool isEnabled () const
void setIdentifier ( int i )
int identifier () const

DESCRIPTION
The QTab class provides the structures in a QTabBar.

This class is used for custom QTabBar tab headings.

See also QTabBar and Advanced Widgets.

MEMBER FUNCTION DOCUMENTATION

QTab::QTab ()
Constructs an empty tab. All fields are set to empty.

QTab::QTab ( const TQString & text )
Constructs a tab with the text text.

QTab::QTab ( const QIconSet & icon, const TQString & text = TQString::null )
Constructs a tab with an icon and the text, text.

QTab::~QTab () [virtual]
Destroys the tab and frees up all allocated resources.

QIconSet * QTab::iconSet () const
Return the QIconSet of the QTab.

int QTab::identifier () const
Return the QTab's identifier.

bool QTab::isEnabled () const
Returns TRUE if the QTab is enabled; otherwise returns FALSE.

QRect QTab::rect () const
Return the QRect for the QTab.

void QTab::setEnabled ( bool enable )
If enable is TRUE enable the QTab, otherwise disable it.

void QTab::setIconSet ( const QIconSet & icon )
Sets the tab's iconset to icon

void QTab::setIdentifier ( int i )
Set the identifier for the QTab to i. Each QTab's identifier within a QTabBar must be unique.

void QTab::setRect ( const QRect & rect )
Set the QTab QRect to rect.

void QTab::setText ( const TQString & text )
Sets the text of the tab to text.

TQString QTab::text () const
Returns the text of the QTab label.

SEE ALSO
http://doc.trolltech.com/qtab.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqtab.3qt) and the Qt version (3.3.8).